<?php

// Работаем в корневой директории
chdir('../../');
require_once('api/Simpla.php');
$simpla = new Simpla();

if (isset($_REQUEST['MNT_ID']) && isset($_REQUEST['MNT_TRANSACTION_ID']) && isset($_REQUEST['MNT_OPERATION_ID'])
    && isset($_REQUEST['MNT_AMOUNT']) && isset($_REQUEST['MNT_CURRENCY_CODE']) && isset($_REQUEST['MNT_TEST_MODE'])
    && isset($_REQUEST['MNT_SIGNATURE'])
) {
    $order = $simpla->orders->get_order(intval($_REQUEST['MNT_TRANSACTION_ID']));
    if (empty($order))
        die('FAIL');

    $method = $simpla->payment->get_payment_method(intval($order->payment_method_id));
    if (empty($method))
        die("FAIL");

    $settings = unserialize($method->settings);

    $mnt_sugnature = md5("{$_REQUEST['MNT_ID']}{$_REQUEST['MNT_TRANSACTION_ID']}{$_REQUEST['MNT_OPERATION_ID']}{$_REQUEST['MNT_AMOUNT']}{$_REQUEST['MNT_CURRENCY_CODE']}{$_REQUEST['MNT_TEST_MODE']}" . $settings['MNT_DATAINTEGRITY_CODE']);

    if ($_REQUEST['MNT_SIGNATURE'] == $mnt_sugnature) {
        // Установим статус оплачен
        $simpla->orders->update_order(intval($order->id), array('paid' => 1));

        // Спишем товары
        $simpla->orders->close(intval($order->id));
        $simpla->notify->email_order_user(intval($order->id));
        $simpla->notify->email_order_admin(intval($order->id));

        // данные для кассы
        $kassa_inventory = null;
        $kassa_customer = $order->email;
        $kassa_delivery = null;

        if ($order->delivery_price > 0 && !$order->separate_delivery) {
            $kassa_delivery = $order->delivery_price;
        }

        $inventory = array();
        $purchases = $simpla->orders->get_purchases(array('order_id' => $order->id));
        if (is_array($purchases) && count($purchases)) {
            foreach ($purchases AS $item) {
                $resultName = trim(preg_replace("/&?[a-z0-9]+;/i", "", htmlspecialchars($item->product_name)));
                $inventory[] = array("name" => $resultName, "price" => $item->price, "quantity" => $item->amount, "vatTag" => 1105);
            }
        }

        $productsTototal = 0;
        foreach ($inventory AS $item) {
            $productsTototal = $productsTototal + floatval($item['p']) * floatval($item['q']);
        }


        if (is_array($inventory) && count($inventory)) {

            $kassa_inventory = $inventory;
            $resultCode = 200;

            $payment_method = $simpla->payment->get_payment_method($order->payment_method_id);
            $payment_settings = $simpla->payment->get_payment_settings($payment_method->id);

            $signature = md5($resultCode . $_REQUEST['MNT_ID'] . $_REQUEST['MNT_TRANSACTION_ID'] . $payment_settings['MNT_DATAINTEGRITY_CODE']);
            $result = '<?xml version="1.0" encoding="UTF-8" ?>';
            $result .= '<MNT_RESPONSE>';
            $result .= '<MNT_ID>' . $_REQUEST['MNT_ID'] . '</MNT_ID>';
            $result .= '<MNT_TRANSACTION_ID>' . $_REQUEST['MNT_TRANSACTION_ID'] . '</MNT_TRANSACTION_ID>';
            $result .= '<MNT_RESULT_CODE>' . $resultCode . '</MNT_RESULT_CODE>';
            $result .= '<MNT_SIGNATURE>' . $signature . '</MNT_SIGNATURE>';

            if ($kassa_inventory || $kassa_customer || $kassa_delivery) {
                $result .= '<MNT_ATTRIBUTES>';
            }

            if ($kassa_inventory) {
                $result .= '<ATTRIBUTE>';
                $result .= '<KEY>INVENTORY</KEY>';
                $result .= '<VALUE>' . $kassa_inventory . '</VALUE>';
                $result .= '</ATTRIBUTE>';
            }

            if ($kassa_customer) {
                $result .= '<ATTRIBUTE>';
                $result .= '<KEY>CUSTOMER</KEY>';
                $result .= '<VALUE>' . $kassa_customer . '</VALUE>';
                $result .= '</ATTRIBUTE>';
            }

            if ($kassa_delivery) {
                $result .= '<ATTRIBUTE>';
                $result .= '<KEY>DELIVERY</KEY>';
                $result .= '<VALUE>' . $kassa_delivery . '</VALUE>';
                $result .= '</ATTRIBUTE>';
            }

            if ($kassa_inventory || $kassa_customer || $kassa_delivery) {
                $result .= '</MNT_ATTRIBUTES>';
            }

            $result .= '</MNT_RESPONSE>';

            die($result);

        }
        else {
            die('SUCCESS');
        }

    } else {
        die('FAIL');
    }
} else {
    die('FAIL');
}
